gnutls_x509_crt_check_ip(3)

NAME
gnutls_x509_crt_check_ip - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_check_ip(gnutls_x509_crt_t cert, const unsigned char * ip, unsigned int ip_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain an gnutls_x509_crt_t type

const unsigned char * ip
    A pointer to the raw IP address

unsigned int ip_size
    the number of bytes in ip (4 or 16)

unsigned int flags
    should be zero

DESCRIPTION
This function will check if the IP allowed IP addresses in the certificate's subject alternative name match the provided IP address.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/